
/* table of registers available in the processor */
struct REGTBL_ENTRY {
   int size;
   void *data;
   char mnemonic[8];
};

int InitVM( void );
int AddRegTableEntry(int index, char *mnemonic, int size);
char * GetRegMnemonic(int index);
int GetRegSize(int index);
void CleanupVM();
